=== debian/changelog ===
ros-eloquent-rmw-implementation (0.8.2-2bionic) bionic; urgency=high

  * Add support for Cyclone DDS. (#71 <https://github.com/ros2/rmw_implementation/issues/71>)
  * Contributors: Ruffin

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 13 Nov 2019 05:00:00 -0000

ros-eloquent-rmw-implementation (0.8.1-2bionic) bionic; urgency=high

  * use return_loaned_message_from (#76 <https://github.com/ros2/rmw_implementation/issues/76>)
  * Add localhost boolean parameter to create node function (#75 <https://github.com/ros2/rmw_implementation/issues/75>)
  * Zero copy api (#69 <https://github.com/ros2/rmw_implementation/issues/69>)
  * Add Python API for RMW implementation lookups (#73 <https://github.com/ros2/rmw_implementation/issues/73>)
  * update signature for added pub/sub options (#74 <https://github.com/ros2/rmw_implementation/issues/74>)
  * remove unneeded line from CMakeLists (#70 <https://github.com/ros2/rmw_implementation/issues/70>)
  * Make middleware selection more independent of build-time package availability (#67 <https://github.com/ros2/rmw_implementation/issues/67>)
  * Contributors: Brian Marchi, Dan Rose, Karsten Knese, Michel Hidalgo, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 23 Oct 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.8.0-2bionic) bionic; urgency=high

  * Add function for getting clients by node (#62 <https://github.com/ros2/rmw_implementation/issues/62>)
  * add get_actual_qos() feature to subscriptions (#61 <https://github.com/ros2/rmw_implementation/issues/61>)
  * Contributors: Jacob Perron, M. M

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 25 Sep 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.7.1-2bionic) bionic; urgency=high

  * add interfaces for rmw_take_event and assert_liveliness (#60 <https://github.com/ros2/rmw_implementation/issues/60>)
  * Rmw preallocate (#51 <https://github.com/ros2/rmw_implementation/issues/51>)
  * Contributors: Michael Carroll, Nick Burek

 -- Dirk Thomas <dthomas@osrfoundation.org>  Wed, 08 May 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.7.0-2bionic) bionic; urgency=high

  * Add function rmw_get_actual_qos (#56 <https://github.com/ros2/rmw_implementation/issues/56>)
  * cmake: Add RMW_IMPLEMENTATION_FORCE_POCO (#59 <https://github.com/ros2/rmw_implementation/issues/59>)
  * add missing preload of rmw_set_log_severity (#55 <https://github.com/ros2/rmw_implementation/issues/55>)
  * Export threading library via extras and not ament_export_libraries to avoid warnings when cross-compiling (#53 <https://github.com/ros2/rmw_implementation/issues/53>)
  * pass context to wait set and fini context (#52 <https://github.com/ros2/rmw_implementation/issues/52>)
  * Contributors: Dirk Thomas, Eric Cousineau, Esteve Fernandez, William Woodall, ivanpauno

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 13 Apr 2019 04:00:00 -0000

ros-eloquent-rmw-implementation (0.6.1-2bionic) bionic; urgency=high

  * Add node graph functions (#49 <https://github.com/ros2/rmw_implementation/issues/49>)
  * add new functions (#50 <https://github.com/ros2/rmw_implementation/issues/50>)
  * Methods to retrieve matched count on pub/sub. (#48 <https://github.com/ros2/rmw_implementation/issues/48>)
  * Contributors: Michael Carroll, Ross Desmond, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Thu, 06 Dec 2018 05:00:00 -0000

ros-eloquent-rmw-implementation (0.6.0-2bionic) bionic; urgency=high

  * use semicolons after macros (#47 <https://github.com/ros2/rmw_implementation/issues/47>)
  * Include node namespaces in get_node_names. (#46 <https://github.com/ros2/rmw_implementation/issues/46>)
  * add rmw_get_serialization_format (#43 <https://github.com/ros2/rmw_implementation/issues/43>)
  * Contributors: Karsten Knese, Michael Carroll, William Woodall

 -- Dirk Thomas <dthomas@osrfoundation.org>  Fri, 16 Nov 2018 05:00:00 -0000

ros-eloquent-rmw-implementation (0.5.1-2bionic) bionic; urgency=high

  * avoid recursive find (#44 <https://github.com/ros2/rmw_implementation/issues/44>)
  * Contributors: Dirk Thomas

 -- Dirk Thomas <dthomas@osrfoundation.org>  Tue, 17 Jul 2018 04:00:00 -0000

ros-eloquent-rmw-implementation (0.5.0-2bionic) bionic; urgency=high

  * Prepare dependencies for bouncy release. (#41 <https://github.com/ros2/rmw_implementation/issues/41>)
  * _raw function (#31 <https://github.com/ros2/rmw_implementation/issues/31>)
  * print missing symbol name (#40 <https://github.com/ros2/rmw_implementation/issues/40>)
  * Merge pull request #39 <https://github.com/ros2/rmw_implementation/issues/39> from ros2/misra_fixup
  * Change #if to #ifdef
  * improve error messages (#37 <https://github.com/ros2/rmw_implementation/issues/37>)
  * API to enable log severity setting.  (#30 <https://github.com/ros2/rmw_implementation/issues/30>)
  * Contributors: Dirk Thomas, Karsten Knese, Michael Carroll, Sriram Raghunathan, Steven! Ragnarök

 -- Dirk Thomas <dthomas@osrfoundation.org>  Sat, 23 Jun 2018 04:00:00 -0000

ros-eloquent-rmw-implementation (0.4.0-2bionic) bionic; urgency=high

  * Merge pull request #36 <https://github.com/ros2/rmw_implementation/issues/36> from ros2/rename_group
  * waitset -> wait_set (#34 <https://github.com/ros2/rmw_implementation/issues/34>)
  * Merge pull request #32 <https://github.com/ros2/rmw_implementation/issues/32> from ros2/rep149
  * use format 3
  * simplify code relaying all symbols (#29 <https://github.com/ros2/rmw_implementation/issues/29>)
  * Merge pull request #27 <https://github.com/ros2/rmw_implementation/issues/27> from ros2/fix_deadlock
  * prefetch all symbols in rmw_init to avoid later race
  * make resolved symbol static to significantly reduce the chance of a deadlock
  * Merge pull request #26 <https://github.com/ros2/rmw_implementation/issues/26> from ros2/uncrustify_master
  * update style to match latest uncrustify
  * Contributors: Dirk Thomas, Karsten Knese, Mikael Arguedas, Morgan Quigley, William Woodall, dhood


