=== debian/control ===
Source: ros-eloquent-rmw-implementation
Section: misc
Priority: optional
Maintainer: Dirk Thomas <dthomas@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), libpoco-dev, ros-eloquent-ament-cmake, ros-eloquent-ament-cmake-python, ros-eloquent-ament-lint-auto, ros-eloquent-ament-lint-common, ros-eloquent-poco-vendor, ros-eloquent-rcutils, ros-eloquent-rmw, ros-eloquent-rmw-connext-cpp, ros-eloquent-rmw-cyclonedds-cpp, ros-eloquent-rmw-fastrtps-cpp, ros-eloquent-rmw-implementation-cmake, ros-eloquent-rmw-opensplice-cpp, ros-eloquent-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-eloquent-rmw-implementation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpoco-dev, ros-eloquent-ament-index-python, ros-eloquent-poco-vendor, ros-eloquent-rmw-implementation-cmake, ros-eloquent-ros-workspace, ros-eloquent-rmw-fastrtps-cpp | ros-eloquent-rmw-connext-cpp | ros-eloquent-rmw-cyclonedds-cpp | ros-eloquent-rmw-opensplice-cpp
Description: The decision which ROS middleware implementation should be used for C++.
